<%= error_messages_for :product %> <br/>

<%= form_for :product, @product, :html => {:multipart => true }, :url => {:action => mode} do |f| %>
  <%= required_fields_message %>

  <%= display_form_field( _('Name:'), f.text_field(:name) ) %>
  <%= display_form_field( _('Price:'), f.text_field(:price) ) %>
  <%= display_form_field( _('Description:'), f.text_area(:description, :rows => 10, :class => 'mceEditor') ) %>
  <%= labelled_form_field(f.check_box(:highlighted) + _('Highlight this product'),'') %>
  <%= f.fields_for :image_builder, @product.image do |i| %>
    <%= file_field_or_thumbnail(_('Image:'), @product.image, i) %>
  <% end %>

  <% button_bar do %>
    <%= submit_button('save', (mode == 'new' ? _('Create product') : _('Save changes')), :cancel => {:action => 'index'} ) %>
  <% end %>
<% end %>
